> ## Documentation Index
> Fetch the complete documentation index at: https://pearsdb.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Payout Method

> Add a payout method to the user. Payout method can be one of `paypal`, `venmo`, `ach`, or `cash_app`. Each method has different required parameters.



## OpenAPI

````yaml PUT /v2/users/{user_id}/payout-methods
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: apps
    description: App Routes
  - name: checkout-sessions
    description: Checkout Session Routes
  - name: disputes
    description: Disputes Routes
  - name: flows
    description: Flow routes
  - name: payments
    description: Payment Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payment-intents
    description: Payment Intent Routes
  - name: payment-methods
    description: Payment Method Routes
  - name: payouts
    description: Payout Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: transactions
    description: Transaction Routes
  - name: transfers
    description: Transfer routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: users
    description: User routes
paths:
  /v2/users/{user_id}/payout-methods:
    parameters:
      - schema:
          type: string
          format: uuid
        name: user_id
        in: path
        required: true
        description: Id of the user to fetch
    put:
      tags:
        - users
      summary: Add a Payout Method
      description: >-
        Add a payout method to the user. Payout method can be one of `paypal`,
        `venmo`, `ach`, or `cash_app`. Each method has different required
        parameters.
      operationId: add-payout-method
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                platform:
                  type: string
                  enum:
                    - paypal
                    - venmo
                    - cash_app
                    - ach
                  description: Payout platform to add.
                routing_number:
                  type: string
                  description: >-
                    Bank account or Cash App routing number. Required if
                    `platform` = `ach` or `cash_app`.
                account_number:
                  type: string
                  description: >-
                    Bank account or Cash App account number. Required if
                    `platform` = `ach` or `cash_app`.
                account_type:
                  type: string
                  enum:
                    - checking
                    - savings
                  description: Bank account type. Required if `platform` = `ach`.
                email:
                  type: string
                  description: PayPal email address. Required if `platform` = `paypal`.
                phone_number:
                  type: string
                  description: >-
                    Venmo phone number. One of `phone_number` or `handle` is
                    required if `platform` = `venmo`.
                handle:
                  type: string
                  description: >-
                    Venmo handle. One of `phone_number` or `handle` is required
                    if `platform` = `venmo`.
                cash_tag:
                  type: string
                  description: Cash App Cash Tag. Required if `platform` = `cash_app`.
              required:
                - platform
            examples:
              Bank Account:
                value:
                  platform: ach
                  routing_number: '123456789'
                  account_number: '123456789'
                  account_type: checking
              PayPal:
                value:
                  platform: paypal
                  email: bob.loblaw@gmail.com
              Venmo:
                value:
                  platform: venmo
                  phone_number: '4158934432'
              Cash App:
                value:
                  platform: cash_app
                  routing_number: '123456789'
                  account_number: '123456789'
                  cash_tag: $cash_tag
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/payment-method'
                description: The payout method.
components:
  schemas:
    payment-method:
      type: object
      properties:
        id:
          type: string
          description: ID of the `payment-method`.
        platform:
          enum:
            - ach
            - paypal
            - venmo
            - cash_app
            - intl_transfer
          type: string
        description:
          type: string
        mask:
          type: string
        email:
          type: string
        phone_number:
          type: string
        cash_tag:
          type: string
        country:
          type: string
          format: iso3166
        currency:
          type: string
          format: iso4217
      required:
        - platform
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````